GuideLab API

List implant systems

Retrieve all persisted implant systems for the authenticated lab, including their inline platforms list. Organization defaults are initialized during creation or by the explicit settings-defaults command.

GET
/implant-systems

Retrieve all persisted implant systems for the authenticated lab, including their inline platforms list. Organization defaults are initialized during creation or by the explicit settings-defaults command.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?string
defaultOnly?string
labId?string

Response Body

application/json

curl -X GET "https://example.com/implant-systems"
{  "data": [    {      "id": "string",      "labId": "string",      "name": "string",      "manufacturer": "string",      "description": "string",      "isDefault": true,      "isActive": true,      "sortOrder": 0,      "platforms": [        {          "code": "string",          "label": "string",          "diameter": "string",          "isActive": true        }      ],      "createdAt": "string",      "updatedAt": "string"    }  ]}
Empty
Empty
Empty
Empty